## org.eclipse.emf.ocl.expressions
Interface EvaluationVisitor

All Superinterfaces:
  Visitor

All Known Implementing Classes:
  EvaluationVisitorImpl

Deprecated. Use the `EvaluationVisitor` interface, instead.

    @Deprecated
    public interface EvaluationVisitor

extends Visitor

A visitor that evaluates an OCLExpression.

Method Summary
`EvaluationEnvironment` `getEvalEnvironment()` Deprecated.
`Map` `getExtentMap()` Deprecated.
`void` `setEvalEnvironment(EvaluationEnvironment env)` Deprecated.
`void` `setExtentMap(Map extentMap)` Deprecated.

Methods inherited from interface org.eclipse.emf.ocl.expressions.Visitor

`visitAssociationClassCallExp, visitBooleanLiteralExp, visitCollectionLiteralExp, visitConstraint, visitEnumLiteralExp, visitIfExp, visitIntegerLiteralExp, visitInvalidLiteralExp, visitIterateExp, visitIteratorExp, visitLetExp, visitMessageExp, visitNullLiteralExp, visitOperationCallExp, visitPropertyCallExp, visitRealLiteralExp, visitStateExp, visitStringLiteralExp, visitTupleLiteralExp, visitTupleLiteralPart, visitTypeExp, visitUnspecifiedValueExp, visitVariable, visitVariableExp`

Method Detail

### getEvalEnvironment

    EvaluationEnvironment getEvalEnvironment()

  Deprecated.

### setEvalEnvironment

    void setEvalEnvironment(EvaluationEnvironment env)

  Deprecated.

### getExtentMap

    Map getExtentMap()

  Deprecated.

### setExtentMap

    void setExtentMap(Map extentMap)

  Deprecated.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.